Get all spaces

Base URL
https://{kibana_url}
  • GET /api/spaces/space
Auth

Query parameters

purpose enum

Specifies which authorization checks are applied to the API call. The default value is any.

Values: any copySavedObjectsIntoSpace shareSavedObjectsIntoSpace
include_authorized_purposes union enum | boolean required

When enabled, the API returns any spaces that the user is authorized to access in any capacity and each space will contain the purposes for which the user is authorized. This can be useful to determine which spaces a user can read but not take a specific action in. If the security plugin is not enabled, this parameter has no effect, since no authorization checks take place. This parameter cannot be used in with the purpose parameter.

Values: false

Response

200

Indicates a successful call.

application/json
Base URL
https://{kibana_url}